<?php
/**********************************************************************

	Released under the terms of the GNU General Public License, GPL,
***********************************************************************/

                
class payroll_app extends application
{
    function __construct()
    {
        parent::__construct("payroll", _($this->help_context = "&HR"));

		$this->add_module(_("Transactions"));
		$this->add_lapp_function(0, _("&Apply Leave"),
			"payroll/apply_leave.php?", 'SA_APPLY_LEAVE', MENU_TRANSACTION);
                
                $this->add_lapp_function(0, _("&Attendance Entry"),
			"payroll/employee_attendances.php?", 'SA_ATTENDANCE_ENTRY', MENU_TRANSACTION);
                
                $this->add_lapp_function(0, _("&Salary Advances"),
			"payroll/salary_advances.php?", 'SA_SALARY_ADVANCE', MENU_TRANSACTION);
                $this->add_lapp_function(0, _("&Salary Deductions"),
			"payroll/salary_deductions.php?", 'SA_SALARY_DEDUCTION', MENU_TRANSACTION);
                $this->add_lapp_function(0, _("&Salary Additions"),
			"payroll/salary_additions.php?", 'SA_SALARY_ADDITION', MENU_TRANSACTION);
                
                $this->add_lapp_function(0, _("&Mobile Allowances Usage Entry"),
			"payroll/mobile_allowances_usage.php?", 'SA_MOBILE_ALLOWANCE_USAGE', MENU_TRANSACTION);
                $this->add_lapp_function(0, _("&Employee Allowances Usage Entry"),
			"payroll/employee_allowances_usage.php?", 'SA_EMPLYEE_ALLOWANCES_USAGE', MENU_TRANSACTION);
                $this->add_lapp_function(0, _("&Performamnce Incentives Entry"),
			"payroll/performance_incentives_entry.php?", 'SA_PERFORMANCE_INCENTIVE', MENU_TRANSACTION);
                
                $this->add_rapp_function(0, _("&Approve Attendances Summary"), "payroll/approve_attendances_summary.php?", 'SA_APPROVE_OT', MENU_TRANSACTION); 
                $this->add_rapp_function(0, _("&Reopen Approved Attendances Summary"), "payroll/reopen_approved_attendances_summary.php?", 'SA_APPROVE_OT', MENU_TRANSACTION);
                $this->add_rapp_function(0, _("&Approve OT"), "payroll/approve_ot.php?", 'SA_APPROVE_OT', MENU_TRANSACTION);    
                $this->add_rapp_function(0, _("&Reopen Approved OT"), "payroll/open_approved_ot.php?", 'SA_APPROVE_OT', MENU_TRANSACTION);
                $this->add_rapp_function(0, _("&Approve Salary Adjustments"), "payroll/approve_salary_adjustments.php?", 'SA_APPROVE_SALARY_AJUSTMENTS', MENU_TRANSACTION);
                $this->add_rapp_function(0, _("&Reopen Salary Adjustments"), "payroll/reopen_salary_adjustments.php?", 'SA_APPROVE_SALARY_AJUSTMENTS', MENU_TRANSACTION);
                $this->add_rapp_function(0, _("&Payroll Attendance Summary"),
			"payroll/payroll_attendance.php?", 'SA_APPROVE_PAYROLL_ATTENDANCE_SUMMARY', MENU_TRANSACTION);
                $this->add_rapp_function(0, _("&Payroll Worktime Deficit Summary"),
			"payroll/payroll_worktime_deficits.php?", 'SA_APPROVE_PAYROLL_WORKTIME_DEFICIT_SUMMARY', MENU_TRANSACTION);
                $this->add_rapp_function(0, _("&Approve Leave"),
			"payroll/approve_leave.php?", 'SA_APPROVE_LEAVE', MENU_TRANSACTION);
                $this->add_rapp_function(0, _("&Update Approved Leaves"),
			"payroll/update_already_approved_leave.php?", 'SA_UPDATE_APPROVED_LEAVE', MENU_TRANSACTION);
                
            $this->add_rapp_function(0, "","");
                $this->add_rapp_function(0, _("Import Attendance Data"),
			"payroll/import_attendance_data.php?", 'SA_IMPORT_ATTENDANCE_DATA', MENU_TRANSACTION);
                $this->add_rapp_function(0, _("Payroll &Run"),
			"payroll/payroll_run.php?", 'SA_PAYROLL_RUN', MENU_TRANSACTION);
                 $this->add_rapp_function(0, _("Approve &Payroll Run"),
			"payroll/approve_payroll_calculation.php?", 'SA_APPROVE_PAYROLL', MENU_TRANSACTION);
                 $this->add_rapp_function(0, _("&Calculate Payroll Departments Summary"),
			"payroll/calculate_payroll_departments_summary.php?", 'SA_CALCULATE_DEPARTMENT_SUMMARY', MENU_TRANSACTION);
                 
            $this->add_rapp_function(0, "","");
            $this->add_rapp_function(0, _("Generate &Bank File"),"payroll/bank_file.php?", 'SA_GENERATE_SALARY_BANK_FILE', MENU_TRANSACTION);
            $this->add_rapp_function(0, _("Generate &EPF File"), "payroll/epf_file.php?", 'SA_GENERATE_SALARY_BANK_FILE', MENU_TRANSACTION);
                 
                 
            $this->add_module(_("Inquiries and Reports"));
                $this->add_lapp_function(1, _("Employee &Attendance Details Inquiry"), "payroll/inquiry/employee_attendance_details_inquiry.php?", 'SA_ATTENDANCE_VIEW', MENU_INQUIRY);                
		$this->add_lapp_function(1, _("Employee &Attendance Summary Inquiry"), "payroll/inquiry/employee_attendance_summary_inquiry.php?", 'SA_ATTENDANCE_VIEW', MENU_INQUIRY);                
                
//		$this->add_lapp_function(1, _("Attendance &Inquiry"), "payroll/inquiry/attendance_inquiry.php?", 'SA_ATTENDANCE_VIEW', MENU_INQUIRY);                
        $this->add_lapp_function(1, _("&Employee Inquiry"),
			"payroll/inquiry/employee_inquiry.php?", 'SA_EMPLOYEE_VIEW', MENU_INQUIRY);
        $this->add_lapp_function(1, _("Leave &Inquiry"),
			"payroll/inquiry/leave_inquiry.php?", 'SA_LEAVE_VIEW', MENU_INQUIRY);
        $this->add_lapp_function(1, _("Loans &Inquiry"),
			"payroll/inquiry/loans_inquiry.php?", 'SA_LOAN_VIEW', MENU_INQUIRY); 
                
        $this->add_rapp_function(1, _("Salary Advances Inquiry"), "payroll/inquiry/salary_advances_inquiry.php?Class=8", 'SA_PAYROLL_REPORTS', MENU_REPORT);
        $this->add_rapp_function(1, _("HR && Payroll &Reports"),
			"reporting/reports_main.php?Class=8", 'SA_PAYROLL_REPORTS', MENU_REPORT);

		$this->add_module(_("Maintenance"));
		$this->add_lapp_function(2, _("&Employees"),
			"payroll/manage/employees.php?", 'SA_EMPLOYEES', MENU_MAINTENANCE);
		$this->add_lapp_function(2, _("Employee &Attachments"),
			"payroll/manage/employee_attachments.php?", 'SA_EMPLOYEE_ATTACHEMENTS', MENU_MAINTENANCE);
		$this->add_lapp_function(2, _("&Leave Entitlements"),
			"payroll/manage/leave_entitlements.php?", 'SA_LEAVE_ENTITLEMENTS', MENU_MAINTENANCE);
		$this->add_lapp_function(2, _("&Loans"),
			"payroll/manage/loans.php?", 'SA_LOANS', MENU_MAINTENANCE);
                $this->add_lapp_function(2, _("&Salaries"),
			"payroll/manage/salaries.php?", 'SA_SALARIES', MENU_MAINTENANCE);
                $this->add_lapp_function(2, _("&Group Salaries"),
			"payroll/manage/group_salaries.php?", 'SA_GRUOP_SALARIES', MENU_MAINTENANCE);
                $this->add_lapp_function(2, _("&Employee Shifts Schedule"),
			"payroll/manage/employee_shifts.php?", 'SA_EMPLOYEE_SHIFT_SCHEDULE', MENU_MAINTENANCE);


                $this->add_rapp_function(2, _("&Shifts"),
			"payroll/manage/shifts.php?", 'SA_SHIFTS', MENU_MAINTENANCE);
                $this->add_rapp_function(2, _("&Working Week"),
			"payroll/manage/working_week.php?", 'SA_WORKING_WEEK', MENU_MAINTENANCE);
                $this->add_rapp_function(2, _("&Holidays"),
			"payroll/manage/holidays.php?", 'SA_HOLIDAYS', MENU_MAINTENANCE);
                $this->add_rapp_function(2, _("&Calendars"),
			"payroll/manage/calendars.php?", 'SA_CALENDARS', MENU_MAINTENANCE);
                $this->add_rapp_function(2, _("&Value Tables"),
			"payroll/manage/value_tables.php?", 'SA_VALUE_TABLES', MENU_MAINTENANCE);
                $this->add_rapp_function(2, _("&Payroll Settings"),
			"payroll/manage/payroll_settings.php?", 'SA_PAYROLL_SETTINGS', MENU_MAINTENANCE);
                $this->add_rapp_function(2, _("&Payroll Module Setup"),
			"payroll/manage/payroll_module_settings.php?", 'SA_PAYROLL_MODULE_SETUP', MENU_MAINTENANCE);
                $this->add_rapp_function(2, _("&Payroll Accounts Setup"),
			"payroll/payroll_accounts_setup.php?", 'SA_PAYROLL_ACC_SETUP', MENU_MAINTENANCE);
                 $this->add_rapp_function(2, _("&Bank Branches"),
			"payroll/bank_branches.php?", 'SA_BANK_BRANCHES', MENU_MAINTENANCE);
                 $this->add_rapp_function(2, _("&Rate Categories"),
			"payroll/employee_rates.php?", 'SA_EMPLOYEE_RATE_CATEGORIES', MENU_MAINTENANCE);
                 $this->add_rapp_function(2, _("&WMS Rate Categories"), "payroll/employee_rates_wms.php?", 'SA_EMPLOYEE_RATE_CATEGORIES', MENU_MAINTENANCE);
                 $this->add_rapp_function(2, _("&Employee Rate Categories"), "payroll/employee_rate_categories.php?", 'SA_EMPLOYEE_RATE_CATEGORIES', MENU_MAINTENANCE);
                 $this->add_rapp_function(2, _("&Salary Component Grouping"),
			"payroll/manage/salary_component_grouping.php?", 'SA_EMPLOYEE_RATE_CATEGORIES', MENU_MAINTENANCE);
                $this->add_rapp_function(2, _("&Salary Functions"),
			"payroll/manage/salary_functions_details.php?", 'SA_EMPLOYEE_RATE_CATEGORIES', MENU_MAINTENANCE);
                  $this->add_rapp_function(2, _("&Salary Total Configuration"),
			"payroll/manage/salary_total_configuration.php?", 'SA_EMPLOYEE_RATE_CATEGORIES', MENU_MAINTENANCE);
                 
                
                
		$this->add_extensions();
	}
}


?>